@font-face {
  font-family: "Hanken";
  src: url("../src/fonts/Hanken_Grotesk/static/HankenGrotesk-Black.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Hanken";
  src: url("../src/fonts/Hanken_Grotesk/static/HankenGrotesk-BlackItalic.ttf") format("truetype");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}
@font-face {
  font-family: "Hanken";
  src: url("../src/fonts/Hanken_Grotesk/static/HankenGrotesk-ExtraBold.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Hanken";
  src: url("../src/fonts/Hanken_Grotesk/static/HankenGrotesk-ExtraBoldItalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic;
  font-display: swap;
}
@font-face {
  font-family: "Baskervville";
  src: url("../src/fonts/Baskervville/static/Baskervville-Medium.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Baskervville";
  src: url("../src/fonts/Baskervville/static/Baskervville-MediumItalic.ttf") format("truetype");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  background-color: #f8f8f8;
  overflow-x: hidden;
}

body {
  width: 100%;
  overflow-x: hidden;
  min-height: 100dvh;
  padding: 24px 24px 24px 65px;
  font-family: "Baskervville", serif;
  font-size: 20px;
  line-height: 24px;
  font-feature-settings: "liga" 1, "kern" on;
  font-variant-numeric: normal;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  color: #000;
  background-color: #f8f8f8;
}

@media screen and (max-width: 720px) {
  body {
    padding: 64px 14px 14px 14px;
  }
}
header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99;
  width: 41px;
  height: 100vh;
  border-right: 1px solid #000;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-family: "Hanken";
  font-size: 37px;
  line-height: 35px;
  background-color: #f8f8f8;
}
header:has(h1:hover), header:has(#about:hover) {
  background-color: #f0f0f0;
}
header h1 {
  padding: 7px 7px;
  font-size: inherit;
  line-height: inherit;
  font-weight: 400;
  cursor: pointer;
}
header h1 a {
  color: #000;
  text-decoration: none;
  display: flex;
  flex-direction: column;
}
header #about {
  display: block;
  padding: 6px 10px;
  font-family: "Hanken";
  font-size: inherit;
  line-height: inherit;
  text-decoration: none;
  border: none;
  background: none;
  cursor: pointer;
}
header #about a {
  color: #000;
  text-decoration: none;
}

@media screen and (max-width: 720px) {
  header {
    width: 100%;
    height: auto;
    flex-direction: row;
    justify-content: space-between;
    border-right: none;
    border-bottom: 1px solid #000;
    font-size: 23px;
    line-height: 26px;
    box-shadow: 0 5px 10px #f0f0f0;
  }
  header h1 {
    border-right: 1px solid #000;
    border-bottom: none;
  }
  header h1 a {
    flex-direction: row;
  }
  header #about {
    min-width: 40px;
    border-top: none;
    border-left: 1px solid #000;
  }
}
main#home {
  margin-top: 81px;
  overflow: visible !important;
}

.text-item {
  width: 300px;
  border-top: 1px solid black;
  padding-bottom: 24px;
  margin-bottom: 24px;
  border-bottom: 1px solid black;
  background-color: #f8f8f8;
  outline: 10px solid #f8f8f8;
}
.text-item:hover {
  background-color: #f0f0f0;
  outline: 10px solid #f0f0f0;
}
.text-item:last-child {
  margin-bottom: 0;
}
.text-item a {
  display: block;
  color: #000;
  text-decoration: none;
  cursor: pointer;
}
.text-item img {
  display: block;
  width: 100%;
  max-width: 250px;
  margin: auto auto;
  -o-object-fit: contain;
     object-fit: contain;
  filter: contrast(1.2) saturate(0);
  mix-blend-mode: multiply;
}
.text-item h2 {
  font-size: 37px;
  line-height: 35px;
  font-style: italic;
  font-weight: 400;
  text-transform: uppercase;
}
.text-item .text-item_infos {
  margin-top: 24px;
  display: flex;
  justify-content: space-between;
  gap: 24px;
  font-family: "Hanken";
  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
}

@media screen and (max-width: 649px) {
  .text-item {
    width: 100%;
  }
}
body#texte {
  display: grid;
  grid-template-columns: minmax(auto, 750px) minmax(200px, 1fr);
  grid-template-rows: auto;
  grid-template-areas: "article image";
  gap: 48px;
  padding-top: 91px;
}

#image-couverture {
  grid-area: image;
  align-self: start;
  justify-self: end;
  position: fixed;
  top: 20px;
  right: 5px;
  display: block;
  min-width: 80px;
  width: 20vw;
  max-width: 250px;
  transform-origin: top right;
  transform: rotate(4deg);
  filter: contrast(1.2) saturate(0);
  mix-blend-mode: multiply;
}
#image-couverture img {
  display: block;
  min-width: 80px;
  width: 20vw;
  max-width: 250px;
}

body#texte article {
  grid-area: article;
}

#articlehead {
  width: calc(100% + 50px);
  max-width: 800px;
}
#articlehead h2 {
  font-size: clamp(70px, 6vw, 110px);
  line-height: clamp(73px, 6.2vw, 113px);
  font-style: italic;
  font-weight: 400;
  text-transform: uppercase;
}
#articlehead #texte-infos {
  display: flex;
  justify-content: flex-start;
  gap: 48px;
  flex-wrap: wrap;
  font-family: "Hanken";
  font-size: 20px;
  line-height: 24px;
}

#articlecontent {
  margin-top: 120px;
}
#articlecontent h3 {
  font-family: "Hanken";
  font-size: 28px;
  line-height: 31px;
  font-weight: 300;
  text-transform: uppercase;
  margin: 48px 0;
}
#articlecontent h4,
#articlecontent strong > em,
#articlecontent em > strong {
  font-family: "Hanken";
  font-size: 18px;
  line-height: 24px;
  font-weight: 400;
  text-transform: uppercase;
  margin-top: 24px;
}
#articlecontent p {
  margin-bottom: 24px;
}
#articlecontent hr {
  margin: 24px 0;
}
#articlecontent figure {
  width: 80%;
  max-width: 550px;
  margin: 24px auto;
}
#articlecontent figure img {
  display: block;
  width: 100%;
  max-width: 550px;
  border: 1px solid black;
}
#articlecontent figure figcaption {
  padding-top: 2px;
  font-family: "Hanken";
  font-weight: 300;
  font-style: italic;
  font-size: 16px;
  line-height: 20px;
}
#articlecontent a {
  color: #000;
  cursor: pointer;
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

#glossaire {
  width: 100%;
  -moz-column-count: 2;
       column-count: 2;
  -moz-column-gap: 24px;
       column-gap: 24px;
  margin-top: 96px;
}
#glossaire h2 {
  -moz-column-span: all;
       column-span: all;
  font-family: "Hanken";
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
  text-transform: uppercase;
}
#glossaire li {
  padding: 12px 0;
  border-top: 1px solid #000;
  border-bottom: 1px solid #000;
  margin-bottom: -1px;
  list-style: none;
  -moz-column-break-inside: avoid;
       break-inside: avoid;
}
#glossaire li div {
  display: inline-block;
  margin-right: 12px;
  font-family: "Hanken";
  font-size: 18px;
}
#glossaire li div span {
  text-transform: uppercase;
}
#glossaire li p {
  display: inline;
}

#bibliographie {
  margin-top: 96px;
}
#bibliographie h2 {
  -moz-column-span: all;
       column-span: all;
  font-family: "Hanken";
  font-size: 20px;
  line-height: 24px;
  font-weight: 400;
  text-transform: uppercase;
}
#bibliographie li {
  padding: 12px 0;
  border-top: 1px solid #000;
  border-bottom: 1px solid #000;
  margin-bottom: -1px;
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 24px;
  list-style: none;
}
#bibliographie li .auteur {
  font-family: "Hanken";
  font-size: 18px;
}
#bibliographie li .auteur span {
  text-transform: uppercase;
}
#bibliographie a {
  color: #464646;
  text-decoration: underline;
  cursor: pointer;
}

@media screen and (max-width: 750px) {
  #glossaire {
    -moz-column-count: 1;
         column-count: 1;
  }
}
@media screen and (max-width: 720px) {
  body#texte {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    grid-template-areas: "image" "article";
    gap: 24px;
  }
  #image-couverture {
    position: static;
    margin: 0 0 0 auto;
  }
  #articlehead {
    width: 100%;
  }
  #articlehead h2 {
    font-size: clamp(45px, 12vw, 70px);
    line-height: clamp(48px, 12.4vw, 73px);
    -webkit-hyphens: auto;
            hyphens: auto;
  }
  #articlehead #texte-infos {
    justify-content: space-between;
  }
  #bibliographie li {
    display: list-item;
  }
  #bibliographie li .auteur {
    display: inline-block;
    margin-right: 12px;
  }
  #bibliographie li div:last-of-type,
  #bibliographie li div:last-of-type p {
    display: inline;
  }
}
body#apropos {
  display: grid;
  grid-template-columns: minmax(auto, 750px) minmax(200px, 1fr);
  grid-template-rows: auto;
  gap: 48px;
  grid-template-areas: "texte colophon";
  padding-top: 96px;
}

body#apropos main {
  grid-area: texte;
  font-family: "Hanken";
  font-size: 28px;
  line-height: 31px;
}

#colophon {
  grid-area: colophon;
  max-width: 524px;
  -moz-column-width: 250px;
       column-width: 250px;
  -moz-column-gap: 24px;
       column-gap: 24px;
}
#colophon .colophon_item {
  -moz-column-break-inside: avoid;
       break-inside: avoid;
}
#colophon h2 {
  font-family: "Hanken";
  font-size: 18px;
  line-height: 24px;
  text-transform: uppercase;
  font-weight: 400;
}
#colophon .colophon_item {
  max-width: 250px;
  padding: 12px 0;
  border-top: 1px solid #000;
  border-bottom: 1px solid #000;
  margin-bottom: 24px;
  isolation: isolate;
}
#colophon h3 {
  font-family: "Hanken";
  font-size: 18px;
  line-height: 24px;
  font-weight: 400;
}
#colophon li {
  list-style: none;
}
#colophon a {
  color: inherit;
  text-decoration: none;
  position: relative;
}
#colophon a:hover::before {
  content: "";
  position: absolute;
  top: -5px;
  left: -5px;
  width: calc(100% + 10px);
  height: calc(100% + 10px);
  background-color: #f0f0f0;
  z-index: -1;
}

@media screen and (max-width: 700px) {
  body#apropos {
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    grid-template-areas: "texte" "colophon";
  }
  body#apropos main {
    font-size: 23px;
    line-height: 26px;
  }
  #colophon {
    max-width: 614px;
    -moz-column-width: 300px;
         column-width: 300px;
    -moz-column-gap: 14px;
         column-gap: 14px;
  }
  #colophon h2 {
    font-size: 18px;
    line-height: 24px;
  }
  #colophon .colophon_item {
    max-width: 300px;
    padding: 7px 0;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    margin-bottom: -1px;
  }
  #colophon h3 {
    font-size: 18px;
    line-height: 24px;
  }
}